RagTime5SpreadsheetInternal::Sheet::Plane Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
RagTime5SpreadsheetInternal::Sheet::Plane Struct Reference

a plane: a list of rows map More...

## Public Member Functions
| Plane (int plane)
| constructor More...
int | getPlane () const
| returns the plane More...
bool | isEmpty () const
| returns true if the row is empty More...
MWAWVec2i | getSpan (MWAWVec2i const &position) const
| returns the span value corresponding to an id More...
void | splitRows (MWAWVec2i const &rows)
| split rows if needed, so that we can insert cells correspond to the rows interval More...
void | update (Sheet const &sheet, MWAWBox2i const &box, int id, int contentId)
| update the cells content type More...

## Public Attributes
int | m_plane
| the plane More...
std::map< MWAWVec2i, Row > | m_rowsToDataMap
| the map rows to data More...
std::map< MWAWVec2i, MWAWVec2i > | m_unitedCellMap
| the list of united cell: map from TL cell to RB cell More...

## Friends
std::ostream & | operator<< (std::ostream &o, Plane const &plane)

## Detailed Description

a plane: a list of rows map

## Constructor & Destructor Documentation

RagTime5SpreadsheetInternal::Sheet::Plane::Plane | ( | int | plane | ) |
| inlineexplicit

constructor

## Member Function Documentation

int RagTime5SpreadsheetInternal::Sheet::Plane::getPlane | ( |  | ) | const
| inline

returns the plane

MWAWVec2i RagTime5SpreadsheetInternal::Sheet::Plane::getSpan | ( | MWAWVec2i const & | position | ) | const
| inline

returns the span value corresponding to an id

bool RagTime5SpreadsheetInternal::Sheet::Plane::isEmpty | ( |  | ) | const
| inline

returns true if the row is empty

Referenced by RagTime5Spreadsheet::send().

void RagTime5SpreadsheetInternal::Sheet::Plane::splitRows | ( | MWAWVec2i const & | rows | ) |
| inline

split rows if needed, so that we can insert cells correspond to the rows interval

Referenced by RagTime5SpreadsheetInternal::Sheet::setMergedCells().

void RagTime5SpreadsheetInternal::Sheet::Plane::update | ( | Sheet const & | sheet,
|  | MWAWBox2i const & | box,
|  | int | id,
|  | int | contentId
| ) |  |
| inline

update the cells content type

Referenced by RagTime5SpreadsheetInternal::Sheet::setMergedCells(), and RagTime5SpreadsheetInternal::Sheet::setPLCValues().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Plane const & | plane
| ) |  |
| friend

## Member Data Documentation

int RagTime5SpreadsheetInternal::Sheet::Plane::m_plane

the plane

std::map<MWAWVec2i, Row> RagTime5SpreadsheetInternal::Sheet::Plane::m_rowsToDataMap

the map rows to data

Referenced by RagTime5Spreadsheet::send().

std::map<MWAWVec2i, MWAWVec2i> RagTime5SpreadsheetInternal::Sheet::Plane::m_unitedCellMap

the list of united cell: map from TL cell to RB cell

Referenced by RagTime5SpreadsheetInternal::Sheet::setMergedCells().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx